Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts
[Java] Interface ComponentMetadataDetails

    @Incubating
    @NonExtensible
    public interface ComponentMetadataDetails

Describes a resolved component's metadata, which typically originates from a component descriptor (Ivy file, Maven POM). Some parts of the metadata can be changed via metadata rules (see ComponentMetadataHandler.

Since:
  1.8

Method Summary
`ModuleVersionIdentifier` | `getId()` Returns the identifier of the component.
`String` | `getStatus()` Returns the status of the component.
`List` | `getStatusScheme()` Returns the status scheme of the component.
`boolean` | `isChanging()` Tells whether the component is changing or immutable.
`void` | `setChanging(boolean changing)` Sets whether the component is changing or immutable.
`void` | `setStatus(String status)` Sets the status of the component.
`void` | `setStatusScheme(List statusScheme)` Sets the status scheme of the component.

Method Detail

### getId

    public ModuleVersionIdentifier getId()

  Returns the identifier of the component.
  Returns:
    the identifier of the component.

### getStatus

    public String getStatus()

  Returns the status of the component. Must match one of the values in getStatusScheme().
  Returns:
    the status of the component

### getStatusScheme

    public List getStatusScheme()

  Returns the status scheme of the component. Values are ordered from least to most mature status. Defaults to `["integration", "milestone", "release"]`.
  Returns:
    the status scheme of the component

### isChanging

    public boolean isChanging()

  Tells whether the component is changing or immutable.
  Returns:
    whether the component is changing or immutable.

### setChanging

    public void setChanging(boolean changing)

  Sets whether the component is changing or immutable.
  Parameters:
    `changing` - whether the component is changing or immutable

### setStatus

    public void setStatus(String status)

  Sets the status of the component. Must match one of the values in getStatusScheme().
  Parameters:
    `status` - the status of the component

### setStatusScheme

    public void setStatusScheme(List statusScheme)

  Sets the status scheme of the component. Values are ordered from least to most mature status.
  Parameters:
    `statusScheme` - the status scheme of the component

Gradle API 1.10